tigase.jaxmpp.j2se

## Class J2SEPresenceStore

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore
  - - tigase.jaxmpp.j2se.J2SEPresenceStore

- All Implemented Interfaces:
    Property

      public class J2SEPresenceStore
      extends PresenceStore

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore

      `bestPresence, handler, presenceByJid, presencesMapByBareJid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `J2SEPresenceStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,Presence>` | `createResourcePresenceMap()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore

      `clear, getBestPresence, getPresence, getPresences, getPropertyClass, isAvailable, setPresence, update, updateBestPresence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### J2SEPresenceStore

          public J2SEPresenceStore()

  - ### Method Detail

    - #### createResourcePresenceMap

          protected Map<String,Presence> createResourcePresenceMap()

      Specified by:
        `createResourcePresenceMap` in class `PresenceStore`

Copyright © 2006–2020 Tigase. All rights reserved.